Bug 87335 - Problems with Oracle Database Driver
Problems with Oracle Database Driver
Status: RESOLVED DUPLICATE of bug 84654
Product: db
Classification: Unclassified
Component: Code
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Andrei Badea
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 13:36 UTC by Michel Graciano
Modified: 2006-10-17 17:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
messages.log (15.42 KB, text/plain)
2006-10-17 13:37 UTC, Michel Graciano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2006-10-17 13:36:08 UTC
When I trying list the tables for my database, a exception are fired.
I am using oracle-jdbc-9.0.1.jar. For Postgresql all working fine. This just
occur at RC1, in Beta2 all works fine, and RC2 I can't test yet.

*********** Exception occurred ************ at 8:49 AM on Oct 17, 2006
java.lang.AbstractMethodError:
oracle.jdbc.driver.OracleDatabaseMetaData.getDatabaseMajorVersion()I
       at
org.netbeans.lib.ddl.adaptors.DefaultAdaptor.getDatabaseMajorVersion(DefaultAdaptor.java:3967)
       at
org.netbeans.modules.db.explorer.infos.TableListNodeInfo.initChildren(TableListNodeInfo.java:49)
       at
org.netbeans.modules.db.explorer.infos.DatabaseNodeInfo.getChildren(DatabaseNodeInfo.java:675)
       at
org.netbeans.modules.db.explorer.DatabaseNodeChildren$2.run(DatabaseNodeChildren.java:94)
       at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:499)
[catch] at
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:932)
Comment 1 Michel Graciano 2006-10-17 13:37:28 UTC
Created attachment 35286 [details]
messages.log
Comment 2 Petr Blaha 2006-10-17 15:24:42 UTC
Can you try the latest Oracle driver 10.2.x?
Comment 3 Michel Graciano 2006-10-17 15:55:30 UTC
I using a jar for Oracle 10, and all works again. I will need always the Oracle
10 libs? This is not a regression, since Beta2 are working?
Comment 4 Andrei Badea 2006-10-17 17:48:32 UTC
This is intentional, as described in issue 84654 desc8. Note you don't have to
use the 10.x driver in your application, you only need to use it in NetBeans.

*** This issue has been marked as a duplicate of 84654 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo